Loading...
Searching...
No Matches
ext_entry Class Reference

## Public Member Functions

| ext_entry ()
| ext_entry (InternalPoly *mipoly, bool reduce)
| ext_entry (const ext_entry &e)
| ~ext_entry ()
ext_entry & | operator= (const ext_entry &e)
InternalPoly * | mipo ()
void | setmipo (InternalPoly *p)
bool & | reduce ()

## Private Attributes

InternalPoly * | _mipo
bool | _reduce

## Detailed Description

Definition at line 18 of file variable.cc.

## Constructor & Destructor Documentation

## ext_entry() [1/3]

ext_entry::ext_entry | ( |  | ) |

inline

Definition at line 24 of file variable.cc.

: _mipo(0), _reduce(false) {}
ext_entry::_reduce
bool _reduce
Definition variable.cc:22
ext_entry::_mipo
InternalPoly * _mipo
Definition variable.cc:21

## ext_entry() [2/3]

ext_entry::ext_entry | ( | InternalPoly * | mipoly,
|  | bool | reduce )

inline

Definition at line 25 of file variable.cc.

: _mipo(mipoly), _reduce(reduce) {};
ext_entry::reduce
bool & reduce()
Definition variable.cc:38

## ext_entry() [3/3]

ext_entry::ext_entry | ( | const ext_entry & | e | ) |

inline

Definition at line 26 of file variable.cc.

: _mipo(e._mipo), _reduce(e._reduce) {}

## ~ext_entry()

ext_entry::~ext_entry | ( |  | ) |

inline

Definition at line 27 of file variable.cc.

{};

## Member Function Documentation

## mipo()

InternalPoly * ext_entry::mipo | ( |  | ) |

inline

Definition at line 36 of file variable.cc.

{ return _mipo; }

## operator=()

ext_entry & ext_entry::operator= | ( | const ext_entry & | e | ) |

inline

Definition at line 28 of file variable.cc.

{
if ( this != &e ) {
_mipo = e._mipo;
_reduce = e._reduce;
}
return *this;
}

## reduce()

bool & ext_entry::reduce | ( |  | ) |

inline

Definition at line 38 of file variable.cc.

{ return _reduce; }

## setmipo()

void ext_entry::setmipo | ( | InternalPoly * | p | ) |

inline

Definition at line 37 of file variable.cc.

{ _mipo = p; }
p
int p
Definition cfModGcd.cc:4086

## Field Documentation

## _mipo

InternalPoly* ext_entry::_mipo

private

Definition at line 21 of file variable.cc.

## _reduce

bool ext_entry::_reduce

private

Definition at line 22 of file variable.cc.

The documentation for this class was generated from the following file:

- factory/variable.cc